Package com.emc.documentum.store.atmos.bof.api

# Interface IDfAtmosStore

All Superinterfaces:
  `IDfPersistentObject`, `IDfStore`, `IDfTypedObject`

All Known Implementing Classes:
  `AtmosStore`

public interface IDfAtmosStore extends IDfStore
Interface for the Atmos Store

Since:
  6.6

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`